TokenLab

Gemini Files 與快取

更新 Gemini 快取內容

更新快取存留時間。

PATCH
/v1beta/cachedContents/{cacheId}
更新快取存留時間。無效的存留時間或不支援的欄位將會回傳 Gemini 格式錯誤。資源僅能在其所屬的工作區中進行讀取、參照、變更或刪除。
curl -X PATCH "https://example.com/v1beta/cachedContents/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "name": "string",  "model": "string",  "displayName": "string",  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z",  "expireTime": "2019-08-24T14:15:22Z",  "usageMetadata": {}}

授權

AuthorizationBearer <token>

API Key 驗證。請在 Dashboard > API > API Keys 建立或管理 API 金鑰。

位置: header

路徑參數

cacheId*string

查詢參數

key?string

作為 Bearer 或 x-goog-api-key 的 API key 替代方案。

updateMask?string

服務要求時使用的 Gemini 欄位遮罩 (field mask)。

請求主體

application/json

使用服務接受的欄位更新快取內容存留時間。

回應

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json